<div *blockUI="blockUIName; template: pageBlockTemplate"></div>
<div *ngIf="!serverErr.status; else serverFailed" class="demo-vertical-spacing">
  <div class="card">
    <h3 class="card-header pull-left card-title-material">{{pageName}}</h3>
   <div class="card-body">
      <div class="row">
        <!-- <div class="col">
          Per page: &nbsp;
          <select [(ngModel)]="perPage" (change)="update()" class="custom-select custom-select-sm d-inline-block w-auto form-control">
            <option *ngFor="let limit of [10, 20, 30, 40, 50]">{{limit}}</option>
          </select>
        </div> -->
        <div class="col-md-12">
          <input type="text" [(ngModel)]="filterVal" (input)="currentPage = 1; update()" class="form-control user-input-material"
            placeholder="Search...">
        </div>
      </div>
    </div>
    <div style="padding:0 1.5rem 0 1.5rem;" class="table-responsive">
      <table class="table table-sm table-striped table-dark table-mat-det table-t2hrs">
        <thead class="material-table-heading">
          <tr>
            <!-- <th class="text-nowrap cursor-pointer p-2" (click)="setSort('id')">
              ID<i class="ion text-muted ml-2" *ngIf="sortBy=='id'"
                [ngClass]="'ion-md-arrow-' + (sortDesc ? 'down' : 'up')"></i>
            </th> -->
            <th class="text-nowrap cursor-pointer p-2" (click)="setSort('alert_name')">
              Name<i class="ion text-muted ml-2" *ngIf="sortBy=='alert_name'" [ngClass]="'ion-md-arrow-' + (sortDesc ? 'down' : 'up')"></i>
            </th>
            <th class="text-nowrap cursor-pointer p-2" (click)="setSort('alert_condition')">
              Condition<i class="ion text-muted ml-2" *ngIf="sortBy=='alert_condition'" [ngClass]="'ion-md-arrow-' + (sortDesc ? 'down' : 'up')"></i>
            </th>
            <th class="text-nowrap cursor-pointer p-2">
              Filter<i class="ion text-muted ml-2"></i>
            </th>
            <th class="text-nowrap cursor-pointer p-2" (click)="setSort('alert_type')">
              Type<i class="ion text-muted ml-2" *ngIf="sortBy=='alert_type'" [ngClass]="'ion-md-arrow-' + (sortDesc ? 'down' : 'up')"></i>
            </th>

            <th class="text-nowrap cursor-pointer p-2" (click)="setSort('alert_date')">
              Last update<i class="ion text-muted ml-2" *ngIf="sortBy=='alert_date'" [ngClass]="'ion-md-arrow-' + (sortDesc ? 'down' : 'up')"></i>
            </th>
            <th class="text-nowrap cursor-pointer p-2" (click)="setSort('isnew')">
              Status<i class="ion text-muted ml-2" *ngIf="sortBy=='isnew'" [ngClass]="'ion-md-arrow-' + (sortDesc ? 'down' : 'up')"></i>
            </th>
          </tr>
        </thead>
        <tbody class="table-body-customize">
          <tr *ngFor="let ticket of ticketsData" (click)="$event.stopPropagation();testRunAlert(ticket,NotificationModal)">
            <!-- <td class="align-middle p-2">{{ticket.id}}</td> -->
            <td class="align-middle p-2">{{ticket.alert_name}}</td>
            <td class="align-middle p-2">{{ticket.alert_condition}}</td>

            <td class="align-middle p-2">

              <span class="ml-1 values-align" style="display:block" *ngFor="let option of ticket.alert_filter">
                {{option.object_display}}:{{option.object_id}}
              </span>
            </td>
            <td class="align-middle p-2">{{ticket.alert_type}}</td>
            <td class="align-middle p-2">{{formatDate(ticket.alert_date)}}</td>
            <td class="align-middle p-2">{{isRead(ticket)}}</td>

        </tbody>
      </table>
    </div>
    <!-- Pagination -->
    <div class="card-body py-0">
      <div class="row">
        <div class="col-sm text-sm-left text-center pt-3">
          <span class="text-muted" *ngIf="totalItems">Page {{ currentPage }} of {{ totalPages }}</span>
        </div>
        <div class="col-sm pt-3">
          <ngb-pagination [collectionSize]="totalItems" [pageSize]="perPage" [(page)]="currentPage" (pageChange)="update()"
            size="sm" class="d-flex justify-content-center justify-content-sm-end m-0">
          </ngb-pagination>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="card-body text-big text-center text-danger collapse-bg" style="text-align:center;">
  <div style="height: 200px">
    <ng-template #pageBlockTemplate>
      <div class="block-ui-template">
        <!-- <div class="sk-wave sk-primary">
                  <div class="sk-rect sk-rect1"></div>
                  <div class="sk-rect sk-rect2"></div>
                  <div class="sk-rect sk-rect3"></div>
                  <div class="sk-rect sk-rect4"></div>
                  <div class="sk-rect sk-rect5"></div>
              </div> -->
        <!-- <div class="sk-double-bounce sk-primary">
          <div class="sk-child sk-double-bounce1"></div>
          <div class="sk-child sk-double-bounce2"></div>
        </div>
        <span class="loading-text-material"><p class="text-center text-white"> {{loadingText}} </p></span> -->
        <div class="app-splash-screen ">
          <div class="new-app-splash-screen-content text-center">
          <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
          <span class="loading-text-material">
           <!-- <p class="text-center text-white">{{loadingText}} </p> -->
       </span>
        </div>
        </div>

        <!-- <h5 class="text-center mb-0">Loading...</h5> -->
      </div>
    </ng-template>
    <!-- <div style="height: 200px">
      </div> -->

    <!-- <block-ui [template]="pageBlockTemplate" class="block-ui-white"></block-ui> -->
  </div>
</div>

<ng-template #NotificationModal let-c="close" let-d="dismiss">
  <div class="modal-header pivot-table-dialog">
    <h5 class="modal-title"> Notification for Alert {{notificationAlertName}}<br></h5>
    <button type="button" class="close" (click)="d('Cross click')">&times;</button>
  </div>

  <!-- Row Filters -->
  <div class="row row-con-fil">

    <!-- Applied Condition -->
  <div class="col-md-6 condition-mob" *ngIf="notificationConditions!=''">
      <div class="notifi-filter pivot-table-dialog">
        <span class="ml-5 align-ment"> <span class="badge-default badge badge-secondary"> Conditions:</span></span>
        <span class="ml-1 values-align"> <span class="info-badge">{{notificationConditions}}</span></span>
      </div>
    </div>
    <!-- Applied Condition -->

    <!-- Applied filter -->
  <div class="col-md-6 filter-mob" *ngIf="notificationFilters!=''">
      <div class="notifi-filter pivot-table-dialog">
        <span class="ml-5 align-ment"> <span class="badge-default badge badge-secondary"> Filters Appiled:</span></span>
        <span class="ml-1 values-align"> <span class="info-badge">{{notificationFilters}}</span></span>
      </div>
    </div>
    <!-- Applied filter -->

  
  </div>
  



  <div *ngIf="pivotAlertResult && pivotAlertResult.dataSource.data.length >1; else noRecordResult" class="modal-body pivot-table-dialog">

    <fm-pivot #pivotcontainer [width]="'100%'" [height]="380" [toolbar]="false" [id]="pivot-container" [report]="pivotAlertResult"
      [global]=pivotGlobal [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
    </fm-pivot>
  </div>

  <div class="modal-footer pivot-table-dialog">
    <button type="button" class="btn btn-default" (click)="c('Close click')">Close</button>
  </div>
</ng-template>

<ng-template #noRecordResult>
  <div class="empty-data-bg">
    <img _ngcontent-c9="" class="emptyDashboardImg alptyAlertImg" src="assets/imgs/hxIcon/emptydb.png">
    <p>No Data Match with this Alert Condition.</p>
  </div>
</ng-template>
<ng-template #serverFailed>

  <div class="emptyDiv">
      <figure>
    <img src="assets/imgs/hxIcon/emptydb.png" class="emptyDashboardImg">
    <figcaption><span class="emptyDashboardContent1">{{serverErr.msg}}</span></figcaption>
    </figure>
  </div>

</ng-template>